#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int t;
    cin>>t;
    for(int k=0;k<t;k++){
        int n;
        cin>>n;
        int a[n],b[n];
        for(int i=0;i<n;i++){
            cin>>a[i];
        }
        for(int i=0;i<n;i++){
            cin>>b[i];
        }
        bool ne=false;
        for(int i=0;i<n;i++){
            for(int j=0;j<n;j++){
                if(abs(a[i])==abs(b[j])){
                    if((j-i)%2==0){
                        if(a[i]!=b[j]){
                            ne=true;
                            break;
                        }
                    }
                    else{
                        if(a[i]==b[j]){
                            ne=true;
                            break;
                        }
                    }
                }
            }
        }
        if(ne)cout<<"NE"<<"\n";
        else cout<<"DA"<<"\n";
    }
    return 0;
}